function [finc,fcvec,numfc] = f_init()

% This is a function that initializes all of the frequency
% variables used in pvmodel.m .
% It only returns finc, fcvec, and numfc, the variables
% that the main function uses

fl = .2;		% lower frequency for calculations (in kHz)
fcent = .5;		% center frequency, which calculations are forced to include
fh = .9;		% upper frequency for calculations		
finc = .05;		% frequency ratio (determines spacing of frequencies)

fcvec = freqgen(fl,fh,fcent,finc);
numfc = length(fcvec);
