function [tinc,t,tau,numt,numtau] = t_init()

% This is a function that initializes all of the temporal variables
% used in pvmodel.m 
% It returns all of the variables that are used in the main function.

tinc = .1; 		% increment for t and tau in msec; originally .05 
tlimit = 40;		% max time in msec; must be a multiple of the period 
taulimit = 3; 		% limit for calculation in msec  

t = 0:(tinc/2):tlimit; % in msec
tau = -taulimit:tinc:taulimit; % in msec
 
numt = length(t);
numtau = length(tau);
if(numt < numtau)
	text = 'Number of t values must be greater than the number of tau values'
	end
